> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexxify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refund a payment session

> Initiates a refund for a completed payment session back to the customer wallet.



## OpenAPI

````yaml /openapi.json post /api/v1/refunds/session/{sessionReference}
openapi: 3.0.0
info:
  title: Dexxify API
  description: >-
    Crypto Infrastructure API for Africa (Wallets, Payouts, Offramp, Onramp,
    KYC, KYB)
  version: '1.0'
  contact:
    name: Dexxify
    url: https://www.dexxify.com
    email: dexxifyhq@gmail.com
servers: []
security: []
tags: []
paths:
  /api/v1/refunds/session/{sessionReference}:
    post:
      tags:
        - Refunds
      summary: Refund a payment session
      description: >-
        Initiates a refund for a completed payment session back to the customer
        wallet.
      operationId: RefundsController_refundSession
      parameters:
        - name: sessionReference
          required: true
          in: path
          description: Session reference (e.g. CS_xxxxx)
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefundDto'
      responses:
        '201':
          description: Refund initiated successfully.
        '400':
          description: Validation failed or the request body/params were malformed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '401':
          description: Missing, invalid, or expired authentication.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '404':
          description: The requested resource could not be found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
      security:
        - api-key: []
components:
  schemas:
    RefundDto:
      type: object
      properties:
        refundAddress:
          type: string
          description: Customer wallet address to receive the refund
          example: TXyz1234567890abcdef
        reason:
          type: string
          description: Reason for refund
          example: Customer requested refund
        feePaidBy:
          type: string
          enum:
            - merchant
            - customer
          description: Who pays the blockchain fee. Defaults to merchant settings.
      required:
        - refundAddress
    ErrorResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: false
        status:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed.
        errors:
          type: object
          example:
            - amount must not be less than 0
        timestamp:
          type: string
          example: '2026-09-17T12:00:00.000Z'
      required:
        - success
        - status
        - message
        - timestamp
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: API key for /api/v1/* endpoints

````